using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ekskurzija
{
    class Program
    {
        static void Main(string[] args)
        {
            int T, N, M, K;
            T = int.Parse(Console.ReadLine());
            bool[] Moze = new bool[T];
            for (int i = 0; i < T; i++)
            {
                string[] x = Console.ReadLine().Split();
                N = int.Parse(x[0]);
                M = int.Parse(x[1]);
                K = int.Parse(x[2]);
                int PoGrupi = N / K;
                if(PoGrupi*K<N)
                {
                    PoGrupi++;
                }
                Moze[i] = true;
                for (int j = 0; j < K; j++)
                {
                    int uGrupi;
                    
                    if(N-PoGrupi>=0)
                    {
                        uGrupi = PoGrupi;
                        N -= PoGrupi;
                    }
                    else
                    {
                        uGrupi = N;
                        N = 0;
                    }
                    if(M<(uGrupi/2)*(1+uGrupi))
                    {
                        Moze[i] = false;
                    }
                    else
                    {
                        M -= (uGrupi / 2) * (1 + uGrupi);
                    }
                }
            }
            for (int i = 0; i < T; i++)
            {
                if(Moze[i])
                {
                    Console.WriteLine("Tak");
                }
                else
                {
                    Console.WriteLine("Nie");
                }
            }
            Console.ReadLine();
        }
    }
}